CVE-2017-7840

Priority
Low
Description
JavaScript can be injected into an exported bookmarks file by placing
JavaScript code into user-supplied tags in saved bookmarks. If the
resulting exported HTML file is later opened in a browser this JavaScript
will be executed. This could be used in social engineering and
self-cross-site-scripting (self-XSS) attacks if users were convinced to add
malicious tags to bookmarks, export them, and then open the resulting file.
This vulnerability affects Firefox < 57.
References
Assigned-to
chrisccoulson
Package
Upstream:released (57.0)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):released (57.0+build4-0ubuntu0.14.04.4)
Ubuntu 16.04 LTS (Xenial Xerus):released (57.0+build4-0ubuntu0.16.04.5)
Ubuntu 17.10 (Artful Aardvark):released (57.0+build4-0ubuntu0.17.10.5)
Ubuntu 18.04 LTS (Bionic Beaver):released (57.0.1+build2-0ubuntu1)
Ubuntu 18.10 (Cosmic Cuttlefish):released (57.0.1+build2-0ubuntu1)
More Information

Updated: 2018-06-26 05:02:45 UTC (commit 7799c934cca373482531a7b00e4dfe82302ceae5)